<mamecheat version="1">

  <cheat desc="Infinite Main Time">
    <script state="run">
      <action>maincpu.pw@080D2=9999</action>
    </script>
  </cheat>

  <cheat desc="Invincibility"> <comment>In mode B - dual battle, only for player 1</comment>
    <script state="on">
      <action>temp0 =cart.md@22F97</action>
    </script>
    <script state="run">
      <action>cart.md@22F97=D000C918</action>
    </script>
    <script state="off">
      <action>cart.md@22F97=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Punch">
    <script state="run">
      <action>cart.pb@000F7=00|(cart.pb@000F7 BAND ~80)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Kick">
    <script state="run">
      <action>cart.pb@000F7=00|(cart.pb@000F7 BAND ~40)</action>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="Mode A Cheats"/>
  <cheat desc="---------------"/>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>cart.pb@00505=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>cart.pb@00043=03</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy">
    <script state="run">
      <action>cart.pb@003B4=40</action>
    </script>
  </cheat>

  <cheat desc="Mode B Cheats"/>
  <cheat desc="---------------"/>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>cart.pb@003B4=50</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>cart.pb@003B5=50</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
